////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class AddOnsOpt\Apac\config.bin {
class CfgPatches {
 class AH64 {
  units[] = {"AH64"};
  weapons[] = {};
  requiredVersion = 1.1;
 };
};
class CfgAmmo {
 class Default {};
 class AT3: Default {};
 class Hellfire: AT3 {};
 class HellfireApach: Hellfire {
  model = "\Apac\hellfire";
 };
};
class CfgWeapons {
 class Default {};
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class AT3Launcher: CarlGustavLauncher {};
 class HellfireLauncher: AT3Launcher {};
 class HellfireLauncherApach: HellfireLauncher {
  ammo = "HellfireApach";
  displayName = "$STR_DN_AH64Ammo";
  displayNameMagazine = "$STR_MN_AH64Ammo";
  shortNameMagazine = "$STR_SN_AH64Ammo";
  count = 8;
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Air: AllVehicles {};
 class Helicopter: Air {};
 class AH64: Helicopter {
  picture = "\apac\iAH64";
  crew = "SoldierWPilot";
  scope = 2;
  side = 1;
  displayName = "$STR_DN_AH64";
  nameSound = "chopper";
  accuracy = 0.3;
  driverAction = "ManActAH64Pilot";
  gunnerAction = "ManActAH64Gunner";
  maxSpeed = 296;
  soundEngine[] = {"\apac\ah64engine",3.1622777,1};
  armor = 80;
  cost = 10000000;
  model = "\Apac\Apac";
  laserScanner = 1;
  rotorBig = "apach_vrtule";
  rotorBigBlend = "apach_vrtule";
  rotorSmall = "apach_vrtulka";
  rotorSmallBlend = "apach_vrtule2";
  weapons[] = {"MachineGun30","HellfireLauncherApach","ZuniLauncher38"};
  magazines[] = {"MachineGun30","HellfireLauncherApach","ZuniLauncher38"};
  type = "VAir";
  threat[] = {0.3,1,0.8};
  dammageHalf[] = {"\apac\apach_in_skla.paa","\apac\apach_in_sklaC.paa"};
  dammageFull[] = {"\apac\apach_in_skla.paa","\apac\apach_in_sklaC.paa"};
  class Turret {
   gunAxis = "OsaHlavne";
   turretAxis = "OsaVeze";
   gunBeg = "usti hlavne";
   gunEnd = "konec hlavne";
   soundServo[] = {};
   minElev = -60;
   maxElev = 11;
   minTurn = -86;
   maxTurn = 86;
   body = "OtocVez";
   gun = "OtocHlaven";
  };
  class IndicatorAltRadar {
   selection = "alt";
   axis = "osa_alt";
   angle = -360;
   min = 0;
   max = 304;
  };
  class IndicatorAltBaro {
   selection = "nm_alt";
   axis = "osa_nm_alt";
   angle = -180;
   min = 0;
   max = 61;
  };
  class IndicatorSpeed {
   selection = "mph";
   axis = "osa_mph";
   angle = -320;
   min = 0;
   max = 125;
  };
  class IndicatorVertSpeed {
   selection = "vert_speed";
   axis = "osa_vert_speed";
   angle = -300;
   min = -30;
   max = 30;
  };
  class IndicatorRPM {
   selection = "rpm";
   axis = "osa_rpm";
   angle = -320;
   min = 0;
   max = 12;
  };
  class IndicatorCompass2 {
   selection = "kompas2";
   axis = "osa_kompas2";
   angle = -360;
   min = -3.1415927;
   max = 3.1415927;
  };
 };
};
class CfgNonAIVehicles {
 class ProxyCrew {};
 class ProxyDriver: ProxyCrew {};
 class Proxyah64pilot: ProxyDriver {};
 class ProxyGunner: ProxyCrew {};
 class Proxyah64gunner: ProxyGunner {};
 class ProxyWeapon {};
 class ProxyHellfire_proxy: ProxyWeapon {
  model = "\Apac\hellfire_proxy";
  simulation = "maverickweapon";
 };
};
class CfgVehicleActions {
 ah64pilot = "ah64pilot";
 ah64gunner = "ah64gunner";
};
class CfgMovesMC {
 class Default {};
 class DefaultDie: Default {};
 class States {
  class Driver: Default {};
  class ah64Pilot: Driver {
   file = "\apac\ah64pilotstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"ah64PilotV1",0.7,"ah64Pilot"};
   interpolateWith[] = {"ah64PilotV1",0.5};
   equivalentTo = "ah64Pilot";
   interpolationSpeed = 1;
   connectTo[] = {"ah64PilotDying",1};
  };
  class ah64PilotV1: ah64Pilot {
   file = "\apac\ah64pilot.rtm";
   speed = "- 4";
   looped = 1;
  };
  class ah64PilotDying: DefaultDie {
   actions = "NoActions";
   file = "\apac\ah64pilotsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"ah64Pilot",1};
  };
  class ah64PilotDead: ah64PilotDying {
   actions = "DeadActions";
   file = "\apac\ah64pilotsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"ah64PilotDying",1};
   connectTo[] = {"DeadState",1};
  };
  class ah64Gunner: Driver {
   file = "\apac\ah64gunnerstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"ah64GunnerV1",0.7,"ah64Gunner"};
   interpolateWith[] = {"ah64GunnerV1",0.5};
   equivalentTo = "ah64Gunner";
   interpolationSpeed = 1;
   connectTo[] = {"ah64GunnerDying",1};
  };
  class ah64GunnerV1: ah64Gunner {
   file = "\apac\ah64gunner.rtm";
   speed = "- 4";
   looped = 1;
  };
  class ah64GunnerDying: DefaultDie {
   actions = "NoActions";
   file = "\apac\ah64gunnersmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"ah64Gunner",1};
  };
  class ah64GunnerDead: ah64GunnerDying {
   actions = "DeadActions";
   file = "\apac\ah64gunnersmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"ah64GunnerDying",1};
   connectTo[] = {"DeadState",1};
  };
 };
};
//};
