////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class config.bin {
class CfgPatches {
 class BISCamel {
  units[] = {"BISCamel","BISCamel2","BISCamelPilot","BISCamelPilot2"};
  weapons[] = {"BISCamelMGun","BISGrenadeCamel"};
  requiredVersion = 1.89;
  requiredAddons[] = {"BIS_WeaponPack"};
 };
};
class cfgAmmo {
 class Default {};
 class BulletSingle: Default {};
 class Bullet7_6: BulletSingle {};
 class Bullet12_7: Bullet7_6 {};
 class BISBulletCamel: Bullet12_7 {
  hit = 20;
  indirectHit = 4;
  indirectHitRange = 0.2;
  minRange = 4;
  minRangeProbab = 0.9;
  midRange = 400;
  midRangeProbab = 0.5;
  maxRange = 800;
  maxRangeProbab = 0.05;
  cost = 6;
 };
 class BISGrenadeCamel: Default {
  hit = 50;
  indirectHit = 40;
  indirectHitRange = 10;
  minRange = 50;
  minRangeProbab = 0.5;
  midRange = 300;
  midRangeProbab = 0.95;
  maxRange = 1500;
  maxRangeProbab = 0.5;
  soundHit[] = {"Explosions\expl4",10.0,1};
  cost = 200;
  model = "mortarShell";
  proxyShape = "Snake";
  irLock = 0;
  laserLock = 0;
  maxControlRange = 0;
  maneuvrability = 16.0;
  sideAirFriction = 0.1;
  simulation = "shotMissile";
  maxSpeed = 100;
  initTime = 0;
  thrustTime = 0;
  thrust = 0;
 };
};
class cfgWeapons {
 class Default {};
 class MGun: Default {};
 class MachineGun7_6: MGun {};
 class MachineGun12_7: MachineGun7_6 {};
 class Browning: MachineGun12_7 {};
 class BISCamelMGun: Browning {
  count = 500;
  initSpeed = 600;
  reloadTime = 0.13;
  multiplier = 2;
  soundContinuous = 0;
  canLock = 0;
  ammo = "BISBulletCamel";
  sound[] = {"\BISCamel\vickers.wav",3.1622777,1};
  displayName = "$STR_BISCAMEL_WEAPON";
  displayNameMagazine = "$STR_BISCAMEL_MAGAZINE";
  shortNameMagazine = "$STR_BISCAMEL_MAGAZINE_SHORT";
 };
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class AT3Launcher: CarlGustavLauncher {};
 class HellfireLauncher: AT3Launcher {};
 class BISGrenadeCamel: HellfireLauncher {
  picture = "Hellfire";
  ammo = "BISGrenadeCamel";
  canLock = 0;
  displayName = "$STR_BISCAMEL_GRENADE";
  displayNameMagazine = "$STR_BISCAMEL_GRENADE";
  shortNameMagazine = "$STR_BISCAMEL_GRENADE";
  count = 10;
  reloadTime = 1;
  magazineReloadTime = 1;
  sound[] = {"",0.031622775,1};
  reloadSound[] = {"",0.00031622773,1};
  initSpeed = 0;
  aiRateOfFire = 13.0;
  aiRateOfFireDistance = 2500;
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Air: AllVehicles {};
 class Plane: Air {};
 class A10: Plane {};
 class Cessna: A10 {};
 class Land: AllVehicles {};
 class Man: Land {};
 class Soldier: Man {};
 class SoldierWB: Soldier {};
 class SoldierWPilot: SoldierWB {};
 class BISCamelPilot: SoldierWB {
  model = "\BISCamel\BIScamelpilot";
  nameSound = "pilot";
  displayName = "$STR_BISCAMEL_PILOT";
  weapons[] = {"Revolver","Throw","Put"};
  magazines[] = {"RevolverMag","RevolverMag","RevolverMag","RevolverMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","SmokeShell","SmokeShell","SmokeShell","SmokeShell"};
  wounds[] = {"\BISCamel\pilot_jacket.pac","\BISCamel\pilot_jacket_i.pac","\BISCamel\pilot_kukla.pac","\BISCamel\pilot_kukla_i.pac","\BISCamel\pilot_r.pac","\BISCamel\pilot_r_i.pac","\o\char\Civ_top_pul_r.pac","\o\char\Civ_top_pul_r_i.pac","\o\char\Civ_top_pulo.pac","\o\char\Civ_top_pulo_i.pac","\o\char\Civ_leg_dgre.pac","\o\char\Civ_leg_dgre_i.pac","xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen"};
 };
 class BISCamelPilot2: BISCamelPilot {
  side = 0;
  model = "\BISCamel\BIScamelpilot2";
  displayName = "$STR_BISCAMEL_PILOT";
  wounds[] = {"\BISCamel\pilot2_jacket.pac","\BISCamel\pilot2_jacket_i.pac","\BISCamel\pilot2_kukla.pac","\BISCamel\pilot2_kukla_i.pac","\o\char\Civ_top_jack_r.pac","\o\char\Civ_top_jack_r_i.pac","\o\char\Civ_top_pul_r.pac","\o\char\Civ_top_pul_r_i.pac","\o\char\Civ_top_pulo.pac","\o\char\Civ_top_pulo_i.pac","\o\char\new_civ_jeansblck.pac","\o\char\new_civ_jnsbl_i.pac","xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen"};
 };
 class BISCamel: Cessna {
  scope = 2;
  Crew = "BISCamelPilot";
  side = 1;
  DisplayName = "$STR_BISCAMEL_NAME";
  nameSound = "plane";
  accuracy = 0.3;
  maxSpeed = 188;
  ejectSpeed[] = {0,0,0};
  armor = 15;
  cost = 200000;
  Model = "\BISCamel\BIScamel";
  picture = "\BISCamel\icamel";
  icon = "\BISCamel\map_camel";
  weapons[] = {"BISCamelMGun","BISGrenadeCamel"};
  magazines[] = {"BISCamelMGun","BISGrenadeCamel"};
  fov = 0.5;
  landingSpeed = 75;
  landingAoa = "3.5*3.1415/180";
  flapsFrictionCoef = 2;
  driverAction = "ManActBISCamelDriver";
  cargoAction[] = {"ManActBISCamelcargoRight","ManActBISCamelCargoLeft"};
  cargoIsCoDriver[] = {0,0};
  driverCanSee = "2+8";
  SoundEngine[] = {"\BISCamel\engine.wav",1.0,1.0};
  soundEnviron[] = {"Objects\noise",0.099999994,1.0};
  soundServo[] = {"Vehicles\gun_elevate",0.01,0.4};
  transportSoldier = 2;
  ejectDeadCargo = 1;
  extCameraPosition[] = {0,2,-30};
  type = "VAir";
  threat[] = {0.1,1,0.7};
  audible = 8;
  aileronSensitivity = 0.66;
  elevatorSensitivity = 0.2;
  noseDownCoef = 0.025;
  class ViewPilot {
   initFov = 0.7;
   minFov = 0.4;
   maxFov = 0.85;
   initAngleX = 8;
   minAngleX = -35;
   maxAngleX = 25;
   initAngleY = 0;
   minAngleY = -150;
   maxAngleY = 150;
  };
  class ViewOptics {
   initAngleX = 0;
   minAngleX = 0;
   maxAngleX = 0;
   initAngleY = 0;
   minAngleY = 0;
   maxAngleY = 0;
   initFov = 0.5;
   minFov = 0.5;
   maxFov = 0.5;
  };
  class ViewCargo {
   initAngleX = 5;
   minAngleX = -30;
   maxAngleX = 30;
   initAngleY = 0;
   minAngleY = -60;
   maxAngleY = 60;
   initFov = 0.7;
   minFov = 0.42;
   maxFov = 0.85;
  };
  class Reflectors {
   class Left {
    color[] = {0,0,0,1.0};
    ambient[] = {0,0,0,1.0};
    position = "L svetlo";
    direction = "konec L svetla";
    hitpoint = "L svetlo";
    selection = "L svetlo";
    size = 0.5;
    brightness = 0.25;
   };
   class Right {
    color[] = {0,0,0,1.0};
    ambient[] = {0,0,0,1.0};
    position = "P svetlo";
    direction = "konec P svetla";
    hitpoint = "P svetlo";
    selection = "P svetlo";
    size = 0.5;
    brightness = 0.25;
   };
  };
  class IndicatorAltRadar {
   selection = "alt";
   axis = "osa_alt";
   angle = -337;
   min = 0;
   max = 1800;
  };
  class IndicatorCompass {
   selection = "kompas";
   axis = "osa_kompas";
   angle = 360;
   min = 3.1415927;
   max = -3.1415927;
  };
  class IndicatorSpeed {
   selection = "mph";
   axis = "osa_mph";
   angle = -360;
   min = "50 / 2";
   max = "170 / 2";
  };
  class IndicatorRPM {
   selection = "rpm";
   axis = "osa_rpm";
   angle = -310;
   min = 0;
   max = 1;
  };
  class IndicatorAltBaro {
   selection = "nm_alt";
   axis = "osa_nm_alt";
   angle = 155;
   min = 0;
   max = 150;
  };
 };
 class BISCamel2: BISCamel {
  side = 0;
  Crew = "BISCamelPilot2";
  Model = "\BISCamel\BIScamel2";
  picture = "\BISCamel\icamel2";
  DisplayName = "$STR_BISCAMEL_NAME2";
 };
};
class CfgNonAIVehicles {
 class ProxyCrew {};
 class ProxyDriver: ProxyCrew {};
 class ProxyBISCamelpilot: ProxyDriver {};
 class ProxyCargo: ProxyCrew {};
 class ProxyBISCamelCargo: ProxyCargo {};
 class ProxyBISCamelCargo2: ProxyCargo {};
};
class CfgVehicleActions {
 BIScamelDriver = "camelDriver";
 BIScamelCargoRight = "camelCargo";
 BIScamelCargoLeft = "camelCargo2";
};
class CfgMovesMC {
 class Default {};
 class DefaultDie: Default {};
 class States {
  class Driver: Default {};
  class CamelDriver: Driver {
   file = "\BIScamel\camelpilotstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"CamelDriverV1",0.7,"CamelDriver"};
   interpolateWith[] = {"CamelDriverV1",0.5};
   equivalentTo = "CamelDriver";
   interpolationSpeed = 1;
   connectTo[] = {"CamelDriverDying",1};
   interpolateTo[] = {"CamelDriverDying",0.1};
  };
  class CamelDriverV1: CamelDriver {
   file = "\BIScamel\camelpilot.rtm";
   speed = "- 4";
   looped = 1;
   interpolateTo[] = {"CamelDriverDying",0.1};
  };
  class CamelDriverDying: DefaultDie {
   actions = "NoActions";
   file = "\BIScamel\camelpilotsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"CamelDriver",1};
  };
  class CamelDriverDead: CamelDriverDying {
   actions = "DeadActions";
   file = "\BIScamel\camelpilotsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"CamelDriverDying",1};
   connectTo[] = {"DeadState",1};
  };
  class Camelcargo: Driver {
   file = "\BISCamel\camelcargo.rtm";
   speed = 1e+010;
   looped = 1;
  };
  class Camelcargo2: Driver {
   file = "\BISCamel\camelcargo2.rtm";
   speed = 1e+010;
   looped = 1;
  };
  class CamelGrenadeThrow: Driver {
   file = "\BISCamel\camelgranat.rtm";
   speed = 1e+010;
   looped = 0;
  };
 };
};
class CfgModels {
 class Default {};
 class Vehicle: Default {};
 class BIScamel: Vehicle {
  sectionsInherit = "Vehicle";
  sections[] = {"vrtule staticka","vrtule blur"};
 };
 class BIScamel2: BIScamel {};
 class Man: Default {};
 class BIScamelpilot: Man {};
 class BIScamelpilot2: Man {};
};
//};
