////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class AddOnsOpt\M2A2\config.bin {
class CfgPatches {
 class Bradley {
  units[] = {"Bradley"};
  requiredVersion = 1.3;
 };
};
class CfgAmmo {
 class Default {};
 class BulletSingle: Default {};
 class ExplosiveBullet: BulletSingle {};
 class Cannon25HE: ExplosiveBullet {
  hit = 30;
  indirectHit = 15;
  indirectHitRange = 3;
  minRange = 20;
  minRangeProbab = 0.8;
  midRange = 500;
  midRangeProbab = 0.95;
  maxRange = 3000;
  maxRangeProbab = 0.05;
  cost = 200;
  soundHit[] = {"\m2a2\double_expl.wss",31.622778,1};
 };
};
class CfgWeapons {
 class Default {};
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class AT3Launcher: CarlGustavLauncher {};
 class HellfireLauncherM2A2: AT3Launcher {
  count = 2;
  reloadTime = 0.5;
  displayName = "$STR_DN_TOW";
  displayNameMagazine = "$STR_DN_TOW";
  shortNameMagazine = "$STR_DN_TOW";
  cost = 20000;
 };
 class Cannon25HE: Default {
  scopeWeapon = 2;
  scopeMagazine = 2;
  shotFromTurret = 1;
  autoFire = 1;
  magazineReloadTime = 1.5;
  displayName = "$STR_DN_ADD_M2A2_25";
  displayNameMagazine = "$STR_DN_ADD_M2A2_25";
  shortNameMagazine = "$STR_DN_ADD_M2A2_25";
  ammo = "Cannon25HE";
  count = 300;
  reloadTime = 0.14;
  initSpeed = 1000;
  sound[] = {"\m2a2\cannon.wss",3.1622777,1};
  flashSize = 1.1;
  maxLeadSpeed = 450;
  optics = 1;
  ffCount = 1;
  multiplier = 2;
 };
};
class WeaponCloudsGun {};
class WeaponCloudsMGun: WeaponCloudsGun {};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Land: AllVehicles {};
 class LandVehicle: Land {};
 class Tank: LandVehicle {};
 class APC: Tank {};
 class M113: APC {};
 class Bradley: M113 {
  displayName = "$STR_DN_M2A2";
  picture = "\m2a2\im2a2.paa";
  model = "\m2a2\m2a2";
  canFloat = 0;
  armor = 200;
  nameSound = "apc";
  weapons[] = {"Cannon25HE","MachineGun7_6","HellfireLauncherM2A2"};
  magazines[] = {"Cannon25HE","MachineGun7_6","HellfireLauncherM2A2","HellfireLauncherM2A2","HellfireLauncherM2A2","HellfireLauncherM2A2"};
  class GunClouds: WeaponCloudsMGun {};
  class Turret {
   gunAxis = "OsaHlavne";
   turretAxis = "OsaVeze";
   soundServo[] = {"Vehicles\gun_elevate",0.031622775,1.0};
   gunBeg = "usti hlavne";
   gunEnd = "konec hlavne";
   body = "OtocVez";
   gun = "OtocHlaven";
   minElev = -4.5;
   maxElev = 74;
   minTurn = -360;
   maxTurn = 360;
  };
  threat[] = {0.5,0.5,1};
  gunnerOpticsModel = "optika_tank_gunner";
  gunnerAction = "ManActM2A2GunnerOut";
  gunnerInAction = "ManActM2A2Gunner";
  driverAction = "ManActM2A2Driver";
  driverInAction = "ManActM2A2Driver";
  commanderAction = "ManActM2A2CommanderOut";
  commanderInAction = "ManActM2A2Commander";
  hasCommander = 1;
  outGunnerMayFire = 0;
  forceHideGunner = 0;
  viewGunnerInExternal = 0;
  commanderUsesPilotView = 1;
  transportSoldier = 6;
  class IndicatorSpeed {
   selection = "ukaz_rychlo";
   axis = "osa_rychlo";
   angle = -270;
   min = 0;
   max = 37;
  };
 };
};
class CfgNonAIVehicles {
 class ProxyCrew {};
 class ProxyDriver: ProxyCrew {};
 class ProxyCommander: ProxyCrew {};
 class ProxyGunner: ProxyCrew {};
 class ProxyM2A2Driver: ProxyDriver {};
 class ProxyM2A2Gunner: ProxyGunner {};
 class ProxyM2A2GunnerOutStat: ProxyGunner {};
 class ProxyM2A2Commander: ProxyCommander {};
 class ProxyM2A2CommanderOutStat: ProxyCommander {};
};
class CfgVehicleActions {
 M2A2Driver = "M2A2Driver";
 M2A2Commander = "M2A2Commander";
 M2A2CommanderOut = "M2A2CommanderOut";
 M2A2Gunner = "M2A2Gunner";
 M2A2GunnerOut = "M2A2GunnerOut";
};
class CfgMovesMC {
 class Default {};
 class DefaultDie: Default {};
 class States {
  class Driver: Default {};
  class M2A2Driver: Driver {
   file = "\m2a2\m2a2driverstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"M2A2DriverV1",0.7,"M2A2Driver"};
   interpolateWith[] = {"M2A2DriverV1",0.5};
   equivalentTo = "M2A2Driver";
   interpolationSpeed = 1;
  };
  class M2A2DriverV1: M2A2Driver {
   file = "\m2a2\m2a2driver.rtm";
   speed = "- 4";
   looped = 1;
  };
  class M2A2Gunner: Driver {
   file = "\m2a2\m2a2gunnerstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"M2A2GunnerV1",0.7,"M2A2Gunner"};
   interpolateWith[] = {"M2A2GunnerV1",0.5};
   equivalentTo = "M2A2Gunner";
   interpolationSpeed = 1;
  };
  class M2A2GunnerV1: M2A2Gunner {
   file = "\m2a2\m2a2gunner.rtm";
   speed = "- 4";
   looped = 1;
  };
  class M2A2GunnerOut: Driver {
   file = "\m2a2\m2a2gunneroutstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"M2A2GunnerOutV1",0.7,"M2A2GunnerOut"};
   interpolateWith[] = {"M2A2GunnerOutV1",0.5};
   equivalentTo = "M2A2GunnerOut";
   interpolationSpeed = 1;
   connectTo[] = {"M2A2GunnerOutDying",1};
  };
  class M2A2GunnerOutV1: M2A2GunnerOut {
   file = "\m2a2\m2a2gunnerout.rtm";
   speed = "- 4";
   looped = 1;
  };
  class M2A2GunnerOutDying: DefaultDie {
   actions = "NoActions";
   file = "\m2a2\m2a2gunneroutsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"M2A2GunnerOut",1};
  };
  class M2A2GunnerOutDead: M2A2GunnerOutDying {
   actions = "DeadActions";
   file = "\m2a2\m2a2gunneroutsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"M2A2GunnerOutDying",1};
   connectTo[] = {"DeadState",1};
  };
  class M2A2Commander: Driver {
   file = "\m2a2\m2a2commanderstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"M2A2CommanderV1",0.7,"M2A2Commander"};
   interpolateWith[] = {"M2A2CommanderV1",0.5};
   equivalentTo = "M2A2Commander";
   interpolationSpeed = 1;
  };
  class M2A2CommanderV1: M2A2Commander {
   file = "\m2a2\m2a2commander.rtm";
   speed = "- 4";
   looped = 1;
  };
  class M2A2CommanderOut: Driver {
   file = "\m2a2\m2a2commanderoutstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"M2A2CommanderOutV1",0.7,"M2A2CommanderOut"};
   interpolateWith[] = {"M2A2CommanderOutV1",0.5};
   equivalentTo = "M2A2CommanderOut";
   interpolationSpeed = 1;
   connectTo[] = {"M2A2CommanderOutDying",1};
  };
  class M2A2CommanderOutV1: M2A2CommanderOut {
   file = "\m2a2\m2a2commanderout.rtm";
   speed = "- 4";
   looped = 1;
  };
  class M2A2CommanderOutDying: DefaultDie {
   actions = "NoActions";
   file = "\m2a2\m2a2commanderoutsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"M2A2CommanderOut",1};
  };
  class M2A2CommanderOutDead: M2A2CommanderOutDying {
   actions = "DeadActions";
   file = "\m2a2\m2a2commanderoutsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"M2A2CommanderOutDying",1};
   connectTo[] = {"DeadState",1};
  };
 };
};
//};
