////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class config.bin {
class CfgPatches {
 class BIS_WeaponPack {
  units[] = {"SoldierGSniper","SoldierWPilotHG","SoldierWBHG","SoldierWSaboteurPipeHGS"};
  weapons[] = {"HuntingRifle","Revolver","Ingram","GlockS"};
  requiredVersion = 1.85;
  requiredAddons[] = {"BIS_Resistance"};
 };
};
class CfgAmmo {
 class default {};
 class BulletSingle: default {};
 class HuntingRifle: BulletSingle {
  hit = 11;
  indirectHit = 1;
  indirectHitRange = 0.05;
  visibleFire = 12;
  audibleFire = 25;
  visibleFireTime = 1;
 };
 class CZ75: BulletSingle {};
 class Glock: CZ75 {};
 class RevolverBullet: CZ75 {
  access = "ReadOnly";
  hit = 11;
  indirectHit = 1;
  indirectHitRange = 0.05;
  visibleFire = 14;
  audibleFire = 17;
  visibleFireTime = 2;
  minRange = 1;
  minRangeProbab = 0.1;
  midRange = 10;
  midRangeProbab = 0.7;
  maxRange = 100;
  maxRangeProbab = 0.04;
  cartridge = "";
 };
 class IngramBullet: CZ75 {
  access = "ReadOnly";
  hit = 7;
  indirectHit = 1;
  indirectHitRange = 0.05;
  visibleFire = 14;
  audibleFire = 14;
  visibleFireTime = 2;
  minRange = 1;
  minRangeProbab = 0.1;
  midRange = 10;
  midRangeProbab = 0.7;
  maxRange = 100;
  maxRangeProbab = 0.04;
 };
 class GlockS: Glock {
  hit = 6;
  indirectHit = 1;
  indirectHitRange = 0.05;
  visibleFire = 0.035;
  audibleFire = 0.035;
  visibleFireTime = 2;
 };
};
class CfgRecoils {
 access = "ReadOnly";
 revolverSingle[] = {0.05,0.1,0.2,0.3,0,0};
 IngramSingle[] = {0.05,0.008,0.008,0.3,0,0};
 IngramFull[] = {0.05,0.01,0.008,0.1,0.02,0.02,0.3,0,0};
};
class CfgWeapons {
 class Default {};
 class MGun: Default {};
 class Riffle: MGun {};
 class SniperRiffle: Riffle {};
 class HuntingRifleBase: SniperRiffle {
  scopeWeapon = 1;
  scopeMagazine = 1;
  weaponType = 1;
  magazineType = "1 * 		256";
  model = "\O_wp\Remington";
  modelOptics = "\O_wp\cs_optika";
  picture = "\O_wp\w_remigton.paa";
  sound[] = {"\O_wp\snip_reload.wav",1.0,1};
  count = 6;
  ammo = "HuntingRifle";
  reloadTime = 2;
  magazineReloadTime = 5;
  opticsZoomMin = 0.05;
  opticsZoomMax = 0.05;
  distanceZoomMin = 300;
  distanceZoomMax = 300;
  displayName = "$STR_DN_ADD_WEAPPACK_NAME";
  displayNameMagazine = "$STR_DN_ADD_WEAPPACK_MAG";
  shortNameMagazine = "$STR_DN_ADD_WEAPPACK_MAG_SHORT";
 };
 class HuntingRifleMag: HuntingRifleBase {
  scopeMagazine = 2;
  picture = "m21";
 };
 class HuntingRifle: HuntingRifleBase {
  scopeWeapon = 2;
  magazines[] = {"HuntingRifleMag"};
 };
 class HandGunBase: Riffle {};
 class RevolverBase: HandGunBase {
  access = "ReadOnly";
  scopeWeapon = 0;
  scopeMagazine = 0;
  dexterity = 2;
  model = "\O_wp\SaW";
  modelOptics = "\O_wp\SaW_optika";
  picture = "\O_wp\w_sam.paa";
  optics = 1;
  opticsZoomMin = 0.35;
  opticsZoomMax = 0.35;
  distanceZoomMin = 50;
  distanceZoomMax = 50;
  displayName = "$STR_DN_ADD_WEAPPACK_SAW";
  displayNameMagazine = "$STR_DN_ADD_WEAPPACK_SAW_AMMO";
  shortNameMagazine = "$STR_DN_ADD_WEAPPACK_SAW_AMMO_SHORT";
  weaponType = 2;
  magazineType = 32;
  count = 6;
  reloadTime = 0.3;
  magazineReloadTime = 1;
  drySound[] = {"weapons\M16dry",0.0031622774,1};
  magazines[] = {"Revolver"};
  revolving = "buben";
  revolvingAxis = "osa_buben";
  modes[] = {"Single"};
  class Single {
   ammo = "RevolverBullet";
   multiplier = 1;
   burst = 1;
   displayName = "$STR_DN_ADD_WEAPPACK_SAW";
   dispersion = 0.004;
   sound[] = {"\O_wp\SaW.wss",1.0,1};
   soundContinuous = 0;
   reloadTime = 0.1;
   ffCount = 1;
   recoil = "revolverSingle";
   autoFire = 0;
   aiRateOfFire = 0.5;
   aiRateOfFireDistance = 50;
   useAction = 0;
   useActionTitle = "";
  };
 };
 class RevolverMag: RevolverBase {
  scopeMagazine = 2;
  picture = "\O_wp\m_revolever.paa";
 };
 class Revolver: RevolverBase {
  scopeWeapon = 2;
  magazines[] = {"RevolverMag"};
  uiPicture = "\misc\ipistole.paa";
 };
 class IngramBase: HandGunBase {
  access = "ReadOnly";
  scopeWeapon = 0;
  scopeMagazine = 0;
  dexterity = 2;
  valueWeapon = 8;
  valueMagazine = 4;
  model = "\O_wp\Ingram";
  modelOptics = "\O_wp\optika_ing";
  picture = "\O_wp\w_ingram.paa";
  optics = 1;
  opticsZoomMin = 0.35;
  opticsZoomMax = 0.35;
  distanceZoomMin = 100;
  distanceZoomMax = 100;
  displayName = "$STR_DN_ADD_WEAPPACK_INGRAM";
  displayNameMagazine = "$STR_DN_ADD_WEAPPACK_INGRAM_AMMO";
  shortNameMagazine = "$STR_DN_ADD_WEAPPACK_INGRAM_AMMO_SHORT";
  weaponType = 2;
  magazineType = 32;
  count = 30;
  reloadTime = 0.05;
  magazineReloadTime = 1;
  drySound[] = {"weapons\M16dry",0.0031622774,1};
  magazines[] = {"Ingram"};
  modes[] = {"Single","FullAuto"};
  class Single {
   ammo = "Skorpion";
   multiplier = 1;
   burst = 1;
   displayName = "$STR_DN_ADD_WEAPPACK_INGRAM";
   dispersion = 0.002;
   sound[] = {"\O\Guns\skorpion_single.wss",1.0,1};
   soundContinuous = 0;
   reloadTime = 0.1;
   ffCount = 1;
   recoil = "IngramSingle";
   autoFire = 0;
   aiRateOfFire = 0.5;
   aiRateOfFireDistance = 100;
   useAction = 0;
   useActionTitle = "";
  };
  class FullAuto {
   ammo = "Skorpion";
   multiplier = 1;
   burst = 1;
   displayName = "$STR_DN_ADD_WEAPPACK_INGRAM_AUTO";
   dispersion = 0.004;
   sound[] = {"\O\Guns\skorpion_single.wss",1.0,1};
   soundContinuous = 0;
   reloadTime = 0.1;
   ffCount = 30;
   recoil = "IngramFull";
   autoFire = 1;
   aiRateOfFire = 5.0;
   aiRateOfFireDistance = 100;
   useAction = 0;
   useActionTitle = "";
  };
 };
 class IngramMag: IngramBase {
  scopeMagazine = 2;
  picture = "\O\Guns\m_uzi.paa";
 };
 class Ingram: IngramBase {
  scopeWeapon = 2;
  magazines[] = {"IngramMag"};
  uiPicture = "\misc\ipistole.paa";
 };
 class GlockBase: HandGunBase {};
 class GlockSBase: GlockBase {
  model = "\O_wp\Glock17Sil";
  modelOptics = "\O\Guns\optika_glock17";
  picture = "\O_wp\w_Glocksilent.paa";
  valueWeapon = 6;
  valueMagazine = 4;
  optics = 1;
  opticsZoomMin = 0.35;
  opticsZoomMax = 0.35;
  distanceZoomMin = 50;
  distanceZoomMax = 50;
  displayName = "$STR_DN_ADD_WEAPPACK_GLOCKS";
  displayNameMagazine = "$STR_DN_ADD_WEAPPACK_GLOCKS_AMMO";
  shortNameMagazine = "$STR_DN_ADD_WEAPPACK_GLOCKS_AMMO_SHORT";
  magazines[] = {"GlockS"};
  modes[] = {"Single"};
  class Single {
   ammo = "GlockS";
   multiplier = 1;
   burst = 1;
   displayName = "$STR_DN_ADD_WEAPPACK_GLOCKS";
   dispersion = 0.004;
   sound[] = {"\O\Guns\uzi_single.wss",1.0,1};
   soundContinuous = 0;
   reloadTime = 0.1;
   ffCount = 1;
   recoil = "riffleSilenced";
   autoFire = 0;
   aiRateOfFire = 0.5;
   aiRateOfFireDistance = 50;
   useAction = 0;
   useActionTitle = "";
  };
 };
 class GlockSMag: GlockSBase {
  scopeMagazine = 2;
  picture = "\O\Guns\zasobnik.paa";
 };
 class GlockS: GlockSBase {
  scopeWeapon = 2;
  magazines[] = {"GlockSMag"};
  uiPicture = "\misc\ipistole.paa";
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Land: AllVehicles {};
 class Man: Land {};
 class Soldier: Man {};
 class SoldierGB: Soldier {};
 class SoldierGSniper: SoldierGB {
  displayName = "$STR_DN_SNIPER";
  model = "\O_wp\mc_specG";
  weapons[] = {"HuntingRifle","Ingram","Binocular","Throw","Put"};
  magazines[] = {"HuntingRifleMag","HuntingRifleMag","HuntingRifleMag","HuntingRifleMag","HuntingRifleMag","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","IngramMag","IngramMag","IngramMag","IngramMag"};
 };
 class SoldierWB: Soldier {};
 class SoldierWPilot: SoldierWB {};
 class SoldierWPilotHG: SoldierWPilot {
  displayName = "$STR_DN_ADD_WEAPPACK_SAW_SOLDIER";
  weapons[] = {"M4","NVGoggles","Throw","Put","Revolver"};
  magazines[] = {"M4","M4","M4","M4","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","RevolverMag","RevolverMag","RevolverMag","RevolverMag"};
 };
 class SoldierWSaboteur: SoldierWB {};
 class SoldierWSaboteurPipe: SoldierWSaboteur {};
 class SoldierWSaboteurPipeHGS: SoldierWSaboteurPipe {
  scope = 2;
  displayName = "$STR_DN_ADD_WEAPPACK_GLOCKS_SOLDIER";
  weapons[] = {"HK","NVGoggles","Throw","Put","glockS"};
  magazines[] = {"HK","HK","HK","HK","glocksmag","glocksmag","glocksmag","glocksmag","PipeBomb","PipeBomb","PipeBomb"};
 };
};
class CfgModels {
 class Default {};
 class Weapon: Default {};
 class Remington: Weapon {};
 class cs_optika: Weapon {};
 class SaW: Weapon {};
 class SaW_optika: Weapon {};
 class Ingram: Weapon {};
 class Optika_ing: Weapon {};
 class Glock17Sil: Weapon {};
 class Man: Default {};
 class mc_specG: Man {};
};
class CfgTextureToMaterial {
 class WPMetal {
  textures[] = {"\civsnip\cs_kov.pac","SaW.pac"};
  material = "#Metal";
 };
};
//};
