// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class HMMWV
	{
		units[] = {HMMWV};
		weapons[] = {};
		requiredVersion = 1.01;
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Car: LandVehicle {};
	class Jeep : Car {};
	class HMMWV: Jeep
	{
		displayName= $STR_DN_HMMV;
		model=\humr\HMMWV.p3d;
		picture=\humr\ihmmwv.paa;
		armor = 80;
		type=VArmor;
		cost=100000;
		dammageHalf[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassB.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa
		};
		dammageFull[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassB.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa
		};
		armorGlass=0.5;
		armorWheels=0.1;
		soundEngine[]={\humr\HMMWVengine,db-25,1.25};
		typicalCargo[]={Soldier, Soldier, SoldierLAW, Officer};
	};
};





