////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class AddOnsOpt\BMP2\config.bin {
class CfgPatches {
 class BMP2 {
  units[] = {"BMP2"};
  weapons[] = {};
  requiredVersion = 1.3;
 };
};
class CfgAmmo {
 class Default {};
 class BulletSingle: Default {};
 class ExplosiveBullet: BulletSingle {};
 class Cannon30HE: ExplosiveBullet {
  hit = 20;
  indirectHit = 15;
  indirectHitRange = 3;
  minRange = 20;
  minRangeProbab = 0.8;
  midRange = 500;
  midRangeProbab = 0.95;
  maxRange = 3000;
  maxRangeProbab = 0.05;
  soundHit[] = {"\bmp2\bmp2_expl.wss",31.622778,1};
  cost = 40;
 };
 class Cannon30AP: BulletSingle {
  hit = 70;
  indirectHit = 5;
  indirectHitRange = 1;
  minRange = 20;
  minRangeProbab = 0.8;
  midRange = 500;
  midRangeProbab = 0.95;
  maxRange = 3000;
  maxRangeProbab = 0.05;
  soundHit[] = {"weapons\Big_Impact2",0.031622775,1};
  cost = 80;
 };
};
class CfgWeapons {
 class Default {};
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class AT3Launcher: CarlGustavLauncher {};
 class HellfireLauncherBMP2: AT3Launcher {
  count = 8;
  reloadTime = 30;
  displayName = "$STR_DN_ADD_BMP2_AT";
  displayNameMagazine = "$STR_DN_ADD_BMP2_AT";
  shortNameMagazine = "$STR_DN_ADD_BMP2_AT";
 };
 class Cannon30HE: Default {
  scopeWeapon = 0;
  scopeMagazine = 2;
  primary = 0;
  autoFire = 1;
  shotFromTurret = 1;
  displayName = "$STR_DN_ADD_BMP2_HE";
  displayNameMagazine = "$STR_DN_ADD_BMP2_HE";
  shortNameMagazine = "$STR_DN_ADD_BMP2_HE";
  nameSound = "shell";
  ammo = "Cannon30HE";
  count = 250;
  multiplier = 2;
  reloadTime = 0.18;
  initSpeed = 1000;
  sound[] = {"\bmp2\bmp2_cannon",3.1622777,1};
  flashSize = 1.1;
  maxLeadSpeed = 450;
  optics = 1;
  ffCount = 1;
 };
 class Cannon30AP: Cannon30HE {
  shotFromTurret = 1;
  ammo = "Cannon30AP";
  displayName = "$STR_DN_ADD_BMP2_AP";
  displayNameMagazine = "$STR_DN_ADD_BMP2_AP";
  shortNameMagazine = "$STR_DN_ADD_BMP2_AP";
  nameSound = "heat";
 };
 class Cannon30: Default {
  scopeWeapon = 2;
  scopeMagazine = 0;
  shotFromTurret = 1;
  displayName = "$STR_DN_GUN";
  sound[] = {"\bmp2\bmp2_cannon",3.1622777,1};
  reloadSound[] = {"Weapons\reload",0.00031622773,1};
  backgroundReload = 1;
  ffMagnitude = 1;
  ffFrequency = 5;
  magazines[] = {"Cannon30AP","Cannon30HE"};
 };
};
class WeaponCloudsGun {};
class WeaponCloudsMGun: WeaponCloudsGun {};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Land: AllVehicles {};
 class LandVehicle: Land {};
 class Tank: LandVehicle {};
 class APC: Tank {};
 class BMP: APC {};
 class BMP2: BMP {
  displayName = "$STR_DN_BMP2";
  model = "\bmp2\bmp2";
  armor = 250;
  weapons[] = {"Cannon30","MachineGun7_6","HellfireLauncherBMP2"};
  magazines[] = {"Cannon30HE","Cannon30AP","MachineGun7_6","HellfireLauncherBMP2"};
  class GunClouds: WeaponCloudsMGun {};
  class Turret {
   gunAxis = "OsaHlavne";
   turretAxis = "OsaVeze";
   soundServo[] = {"Vehicles\gun_elevate",0.031622775,1.0};
   gunBeg = "usti hlavne";
   gunEnd = "konec hlavne";
   body = "OtocVez";
   gun = "OtocHlaven";
   minElev = -4.5;
   maxElev = 74;
   minTurn = -360;
   maxTurn = 360;
  };
  class IndicatorSpeed {
   selection = "ukaz_rychlo";
   axis = "osa_rychlo";
   angle = -320;
   min = 0;
   max = 35;
  };
  threat[] = {0.5,0.5,1};
  transportSoldier = 6;
 };
};
//};
