////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class AddOnsOpt\LaserGuided\config.bin {
class CfgPatches {
 class LaserGuided {
  units[] = {"A10LGB","SoldierWSaboteurLaser"};
  weapons[] = {"LaserGuidedBombLauncher","LaserDesignator"};
  requiredVersion = 1.26;
 };
};
class CfgAmmo {
 class default {};
 class LaserGuidedBomb: default {
  hit = 5000;
  indirectHit = 3500;
  indirectHitRange = 15;
  minRange = 50;
  minRangeProbab = 0.5;
  midRange = 300;
  midRangeProbab = 0.95;
  maxRange = 1500;
  maxRangeProbab = 0.5;
  soundHit[] = {"\LaserGuided\expl2",100.00001,1};
  cost = 20000;
  model = "Snake";
  proxyShape = "Snake";
  irLock = 0;
  laserLock = 1;
  maxControlRange = 100000;
  maneuvrability = 16.0;
  sideAirFriction = 0.1;
  simulation = "shotMissile";
  maxSpeed = 100;
  initTime = 0;
  thrustTime = 0;
  thrust = 0;
 };
 class LaserDesignator: default {
  hit = 500;
  indirectHit = 150;
  indirectHitRange = 2.5;
  minRange = 50;
  minRangeProbab = 0.3;
  midRange = 150;
  midRangeProbab = 0.95;
  maxRange = 500;
  maxRangeProbab = 0.1;
  model = "LAW";
  simulation = "laserDesignate";
  simulationStep = 0.1;
  cost = 5000;
  soundHit[] = {"Explosions\explosion_at3",31.622778,1};
  soundFly[] = {"objects\noise",9.999998e-005,4};
  maxSpeed = 350;
  irLock = 1;
  manualControl = 1;
  maxControlRange = 0;
  aiRateOfFire = 0;
  aiRateOfFireDistance = 500;
  initTime = 0;
  maneuvrability = 0;
 };
};
class CfgWeapons {
 class Default {};
 class LaserDesignatorBase: Default {
  ammo = "LaserDesignator";
  displayName = "$STR_DN_LASER_DESIGNATOR";
  displayNameMagazine = "$STR_DN_LASER_DESIGNATOR";
  shortNameMagazine = "$STR_DN_LASER_DESIGNATOR";
  count = 1;
  magazineReloadTime = 12;
  reloadTime = 0.5;
  sound[] = {"",0.01,1};
  reloadMagazineSound[] = {"Weapons\at_load",0.00031622773,1};
  initSpeed = 30;
  canLock = "LockCadet";
  aiRateOfFire = 5.0;
  aiRateOfFireDistance = 1000;
  optics = 1;
  primary = 0;
  opticsZoomMin = 0.05;
  opticsZoomMax = 0.25;
  distanceZoomMin = 100;
  distanceZoomMax = 100;
 };
 class LaserDesignator: LaserDesignatorBase {
  scopeWeapon = 2;
  scopeMagazine = 2;
  weaponType = 16;
  magazineType = "6 * 		256";
  model = "LLDR";
  modelOptics = "optika_CarlGustav";
  picture = "CarlGustavLauncher";
 };
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class AT3Launcher: CarlGustavLauncher {};
 class HellfireLauncher: AT3Launcher {};
 class LaserGuidedBombLauncher: HellfireLauncher {
  picture = "Hellfire";
  ammo = "LaserGuidedBomb";
  displayName = "$STR_DN_LASER_BOMB";
  displayNameMagazine = "$STR_DN_LASER_BOMB";
  shortNameMagazine = "$STR_DN_LASER_BOMB";
  count = 8;
  reloadTime = 0.5;
  sound[] = {"",0.031622775,1};
  reloadSound[] = {"",0.00031622773,1};
  initSpeed = 0;
  aiRateOfFire = 13.0;
  aiRateOfFireDistance = 2500;
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Air: AllVehicles {};
 class Plane: Air {};
 class A10: Plane {};
 class A10LGB: A10 {
  accuracy = 1000;
  displayName = "$STR_DN_A10_LASER";
  weapons[] = {"LaserGuidedBombLauncher","MachineGun30A10"};
  magazines[] = {"LaserGuidedBombLauncher","MachineGun30A10"};
 };
 class Land: AllVehicles {};
 class Man: Land {};
 class Soldier: Man {};
 class SoldierWB: Soldier {};
 class SoldierWSaboteur: SoldierWB {};
 class SoldierWSaboteurPipe: SoldierWSaboteur {};
 class SoldierWSaboteurLaser: SoldierWSaboteurPipe {
  scope = 2;
  model = "mc saboteurday.p3d";
  displayName = "$STR_DN_SABOTEUR_LASER";
  weapons[] = {"HK","Binocular","LaserDesignator","Throw","Put"};
  magazines[] = {"HK","HK","HK","HK","LaserDesignator"};
 };
 class LaserTarget: All {
  reversed = 0;
  hasDriver = 0;
  icon = "Unknown_object";
  displayName = "$STR_DN_LASER_TARGET";
  nameSound = "target";
  accuracy = 0.005;
  model = "laserTgt.p3d";
  picture = "ivojak";
  weapons[] = {"MachineGun12_7"};
  magazines[] = {};
  type = "VArmor";
  threat[] = {0.2,0.5,1.0};
  maxSpeed = 0;
  simulation = "laserTarget";
  laserTarget = 1;
  irTarget = 0;
  destrType = "DestructNo";
  side = 3;
  cost = 1000000;
  armor = 500;
 };
 class LaserTargetBase: LaserTarget {};
 class LaserTargetCBase: LaserTargetBase {
  scope = 1;
  side = 3;
 };
 class LaserTargetWBase: LaserTargetBase {
  scope = 1;
  side = 0;
 };
 class LaserTargetEBase: LaserTargetBase {
  scope = 1;
  side = 1;
 };
 class LaserTargetW: LaserTargetWBase {
  accuracy = 1000;
  weapons[] = {};
  magazines[] = {};
 };
 class LaserTargetE: LaserTargetEBase {
  accuracy = 1000;
  weapons[] = {};
  magazines[] = {};
 };
};
//};
