////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class AddOnsOpt\oh58\config.bin {
class CfgPatches {
 class OH58 {
  units[] = {"OH58"};
  weapons[] = {};
  requiredVersion = 1.1;
 };
};
class CfgWeapons {
 class Default {};
 class LAWLauncher: Default {};
 class CarlGustavLauncher: LAWLauncher {};
 class LaserDesignatorBase: Default {};
 class LaserDesignatorOH: LaserDesignatorBase {
  scopeWeapon = 2;
  scopeMagazine = 2;
  primary = 10;
 };
 class AT3Launcher: CarlGustavLauncher {};
 class ZuniLauncher38: AT3Launcher {};
 class ZuniLauncherOH: ZuniLauncher38 {
  opticsZoomMin = 0.08;
  opticsZoomMax = 0.84;
  count = 14;
  reloadTime = 0.15;
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Air: AllVehicles {};
 class Helicopter: Air {};
 class OH58: Helicopter {
  picture = "\OH58\iKiowa";
  crew = "SoldierWPilot";
  scope = 2;
  side = 1;
  displayName = "$STR_DN_OH58";
  nameSound = "chopper";
  accuracy = 0.3;
  gunnerUsesPilotView = 1;
  driverAction = "ManActUH60Pilot";
  gunnerAction = "ManActUH60Pilot";
  maxSpeed = 235;
  class ViewOptics {
   initAngleX = 0;
   minAngleX = -30;
   maxAngleX = 30;
   initAngleY = 0;
   minAngleY = -86;
   maxAngleY = 86;
   initFov = 0.1;
   minFov = 0.03;
   maxFov = 1.2;
  };
  soundEngine[] = {"\oh58\oh58",1.7782794,1};
  armor = 30;
  cost = 10000000;
  model = "\oh58\kiowa";
  rotorBig = "vrtule_velka";
  rotorBigBlend = "vrtule_velka_bl_";
  rotorSmall = "vrtule_mala";
  rotorSmallBlend = "vrtule_mala_bl";
  weapons[] = {"ZuniLauncherOH","LaserDesignatorOH"};
  magazines[] = {"ZuniLauncherOH","LaserDesignatorOH"};
  type = "VAir";
  threat[] = {0.6,0.6,0.3};
  dammageHalf[] = {"\OH58\OH58_sklotest.paa","\OH58\OH58_sklotest_B.paa","\OH58\OH58_sklotestL.paa","\OH58\OH58_sklotestL_B.paa"};
  dammageFull[] = {"\OH58\OH58_sklotest.paa","\OH58\OH58_sklotest_C.paa","\OH58\OH58_sklotestL.paa","\OH58\OH58_sklotestL_C.paa"};
  class Turret {
   gunAxis = "OsaHlavne";
   turretAxis = "OsaVeze";
   gunBeg = "usti hlavne";
   gunEnd = "konec hlavne";
   soundServo[] = {};
   minElev = -30;
   maxElev = 30;
   minTurn = -86;
   maxTurn = 86;
   body = "OtocVez";
   gun = "OtocHlaven";
  };
 };
};
class CfgVehicleActions {
 oh58pilot = "uh60pilot";
 oh58gunner = "uh60pilot";
};
class CfgMovesMC {
 class Default {};
 class DefaultDie: Default {};
 class States {
  class Driver: Default {};
  class oh58pilot: Driver {
   file = "uh60pilotstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"oh58pilotV1",0.7,"oh58pilot"};
   interpolateWith[] = {"oh58pilotV1",0.5};
   equivalentTo = "oh58pilot";
   interpolationSpeed = 1;
   connectTo[] = {"oh58pilotDying",1};
  };
  class oh58pilotV1: oh58pilot {
   file = "uh60pilot.rtm";
   speed = "- 4";
   looped = 1;
  };
  class oh58pilotDying: DefaultDie {
   actions = "NoActions";
   file = "uh60pilotsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"oh58pilot",1};
  };
  class oh58pilotDead: oh58pilotDying {
   actions = "DeadActions";
   file = "uh60pilotsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"oh58pilotDying",1};
   connectTo[] = {"DeadState",1};
  };
  class oh58gunner: Driver {
   file = "uh60pilotstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"oh58gunnerV1",0.7,"oh58gunner"};
   interpolateWith[] = {"oh58gunnerV1",0.5};
   equivalentTo = "oh58gunner";
   interpolationSpeed = 1;
   connectTo[] = {"oh58gunnerDying",1};
  };
  class oh58gunnerV1: oh58gunner {
   file = "uh60pilot.rtm";
   speed = "- 4";
   looped = 1;
  };
  class oh58gunnerDying: DefaultDie {
   actions = "NoActions";
   file = "uh60pilotsmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"oh58gunner",1};
  };
  class oh58gunnerDead: oh58gunnerDying {
   actions = "DeadActions";
   file = "uh60pilotsmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"oh58gunnerDying",1};
   connectTo[] = {"DeadState",1};
  };
 };
};
//};
