////////////////////////////////////////////////////////////////////
//DeRap: Produced from mikero's Dos Tools Dll version 3.52
//http://dev-heaven.net/projects/list_files/mikero-pbodll
////////////////////////////////////////////////////////////////////

#define _OFP_

//class config.bin {
class CfgPatches {
 class Vulcan {
  units[] = {"Vulcan"};
  weapons[] = {};
  requiredVersion = 1.01;
 };
};
class CfgAmmo {
 class Default {};
 class BulletSingle: Default {};
 class ExplosiveBullet: BulletSingle {};
 class Bullet4x20: ExplosiveBullet {
  hit = 90;
  indirectHit = 45;
  indirectHitRange = 2;
  minRange = 20;
  minRangeProbab = 0.8;
  midRange = 500;
  midRangeProbab = 0.95;
  maxRange = 3000;
  maxRangeProbab = 0.05;
  cost = 30;
 };
};
class CfgWeapons {
 class Default {};
 class MGun: Default {};
 class MachineGun7_6: MGun {};
 class MachineGun30: MachineGun7_6 {};
 class VulcanCannon: MachineGun30 {
  ammo = "Bullet4x20";
  count = 2000;
  multiplier = 4;
  initSpeed = 900;
  flashSize = 1.2;
  reloadTime = 0.15;
  displayName = "$STR_DN_VULCAN20";
  displayNameMagazine = "$STR_DN_VULCAN20";
  shortNameMagazine = "$STR_DN_VULCAN20";
  dispersion = 0.0015;
  maxLeadSpeed = 900;
  aiRateOfFire = 0.3;
  aiRateOfFireDistance = 3000;
 };
};
class CfgVehicles {
 class All {};
 class AllVehicles: All {};
 class Land: AllVehicles {};
 class LandVehicle: Land {};
 class Tank: LandVehicle {};
 class APC: Tank {};
 class M113: APC {};
 class Vulcan: M113 {
  displayName = "$STR_DN_VULCAN";
  picture = "\vulcan\ivulcan.paa";
  icon = "antiAC.paa";
  armor = 180;
  cost = 1000000;
  model = "\vulcan\m163a1vulcan";
  irScanRange = 4000;
  irScanGround = 0;
  gunnerCanSee = "4+8+16 +1";
  weapons[] = {"VulcanCannon"};
  magazines[] = {"VulcanCannon"};
  class Turret {
   gunAxis = "OsaHlavne";
   turretAxis = "OsaVeze";
   soundServo[] = {"Vehicles\gun_elevate",0.031622775,1.0};
   gunBeg = "usti hlavne";
   gunEnd = "konec hlavne";
   body = "OtocVez";
   gun = "OtocHlaven";
   minElev = -3;
   maxElev = 70;
   minTurn = -360;
   maxTurn = 360;
  };
  threat[] = {0.5,0.5,1};
  gunnerOpticsModel = "optika_zsu_gunner";
  commanderOpticsModel = "optika_tanke_auxiliary";
  gunnerAction = "ManActVulcanGunner";
  gunnerInAction = "ManActVulcanGunner";
  forceHideGunner = 1;
  viewGunnerInExternal = 1;
  transportSoldier = 0;
  class ReloadAnimations {
   class VulcanCannon {
    weapon = "VulcanCannon";
    angle0 = 0;
    angle1 = "-2 * 3.141592654";
    multiplier = 500;
    type = "rotation";
    animPeriod = 1;
    selection = "gatling";
    begin = "usti hlavne";
    end = "konec hlavne";
   };
  };
 };
};
class CfgNonAIVehicles {
 class ProxyCrew {};
 class Proxygunner: ProxyCrew {};
 class Proxyvulcangunner: Proxygunner {};
};
class CfgVehicleActions {
 vulcangunner = "vulcangunner";
};
class CfgMovesMC {
 class Default {};
 class DefaultDie: Default {};
 class States {
  class Driver: Default {};
  class VulcanGunner: Driver {
   file = "\vulcan\vulcangunnerstat.rtm";
   speed = 1e+010;
   looped = 1;
   variantsAI[] = {"VulcanGunnerV1",0.7,"VulcanGunner"};
   interpolateWith[] = {"VulcanGunnerV1",0.5};
   equivalentTo = "VulcanGunner";
   interpolationSpeed = 1;
   connectTo[] = {"VulcanGunnerDying",1};
  };
  class VulcanGunnerV1: VulcanGunner {
   file = "\vulcan\vulcangunner.rtm";
   speed = "- 4";
   looped = 1;
  };
  class VulcanGunnerDying: DefaultDie {
   actions = "NoActions";
   file = "\vulcan\vulcangunnersmrt.rtm";
   speed = "- 1";
   looped = 0;
   soundEnabled = 0;
   connectFrom[] = {"VulcanGunner",1};
  };
  class VulcanGunnerDead: VulcanGunnerDying {
   actions = "DeadActions";
   file = "\vulcan\vulcangunnersmrt2.rtm";
   speed = 1e+010;
   terminal = 1;
   connectFrom[] = {"VulcanGunnerDying",1};
   connectTo[] = {"DeadState",1};
  };
 };
};
//};
